{% extends "base.html" %}

{% load static %}

{% block title %}Paperwork - Bug Report Clusters{% endblock %}

{% block extra_headers %}
{% endblock %}

{% block body %}
<h1>Bug Report Clusters</h1>

<p>
    <form action="{% url 'beacon:bug_cluster_recompute' %}" method="post">
        {% csrf_token %}
        <input type="submit" value="Recompute clusters" />
    </form>
</p>

<p>{{ nb_clusters }} clusters found.</p>
<p>Generated {{ generation_date }}.</p>

<p>
  <a href="{% url 'beacon:bug_cluster_graph' 'decomp' %}">
    <img style="width: 45%;" src="{% url 'beacon:bug_cluster_graph' 'decomp' %}" />
  </a>
  <a href="{% url 'beacon:bug_cluster_graph' 'clustering' %}">
    <img style="width: 45%;" src="{% url 'beacon:bug_cluster_graph' 'clustering' %}" />
  </a>
  <a href="{% url 'beacon:bug_cluster_graph' 'cluster_sizes' %}">
    <img style="width: 45%;" src="{% url 'beacon:bug_cluster_graph' 'cluster_sizes' %}" />
  </a>
</p>

<p>
{% for p in pages %}
<a href="{% url 'beacon:bug_cluster_all' %}?page={{ p }}">
{% if p == page_nb %}
<strong>{{ p|add:1 }}</strong>
{% else %}
{{ p|add:1 }}
{% endif %}
</a>
{% endfor %}
</p>

<table>
  <tr>
    <th>Cluster ID</th>
    <th>Paperwork version</th>
    <th>Nb of tracebacks</th>
    <th>Latest report</th>
    <th>Solved</th>
  </tr>

{% for cluster in clusters %}
  <tr>
    <td>
      {% if not cluster.read %}<strong>{% endif %}
      <a href="{% url "bug_cluster_view" cluster.id %}">#{{ cluster.id }}</a>
      {% if not cluster.read %}</strong>{% endif %}
    </td>
    <td>
      {% if not cluster.read %}<strong>{% endif %}
      <a href="{% url "bug_cluster_view" cluster.id %}">{{ cluster.latest_paperwork_version }}</a>
      {% if not cluster.read %}</strong>{% endif %}
    </td>
    <td>
      {% if not cluster.read %}<strong>{% endif %}
      <a href="{% url "bug_cluster_view" cluster.id %}">{{ cluster.nb_tracebacks }}</a>
      {% if not cluster.read %}</strong>{% endif %}
    </td>
    <td>
      {% if not cluster.read %}<strong>{% endif %}
      <a href="{% url "bug_cluster_view" cluster.id %}">{{ cluster.latest_report.creation_date }}</a>
      {% if not cluster.read %}</strong>{% endif %}
    </td>
    <td>
      {% if cluster.solved %}
      <center>
        <a href="{% url "bug_cluster_view" cluster.id %}">
          <img alt="yes" src="{% static "checkbox-checked-symbolic.symbolic.png" %}" />
        </a>
      </center>
      {% endif %}
    </td>
  </tr>
{% endfor %}

</table>

{% endblock %}
